@import url('https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;700&display=swap');

*,
*:after,
*:before {
	box-sizing: border-box;
}

body {
	font-family: 'DM Sans', sans-serif;
	line-height: 1.5;
	background-color: #f1f3fb;
	padding: 0 2rem;
}

img {
	max-width: 100%;
	display: block;
}

/* iOS Reset */
input {
	appearance: none;
	border-radius: 0;
}

.container {
	height: 100vh;
	display: flex;
	justify-content: center;
	align-items: center;
}

.card {
	position: relative;
	margin: 1rem auto;
	display: flex;
	flex-direction: column;
	width: 100%;
	max-width: 425px;
	background-color: #fff;
	border-radius: 10px;
	box-shadow: 0 10px 20px 0 rgba(#999, 0.25);
	padding: 0.75rem;
}

.card-image {
	position: relative;
	border-radius: 8px;
	height: 300px;
	overflow: hidden;
	padding-bottom: 65%;
	background-image: url(./bg.webp);
	background-position: top center;
	background-size: cover;
	background-repeat: no-repeat;
}

.card-heading {
	position: absolute;
	left: 10px;
	top: 10px;
	font-size: 1rem;
	font-weight: 700;
	color: #fff;
	line-height: 1.5;
	small {
		display: inline;
		font-size: 0.75rem;
		font-weight: 400;
		margin-top: 0.25em;
	}
}

.card-form {
	padding: 2rem 1rem 0;
}

.input {
	display: flex;
	flex-direction: column-reverse;
	position: relative;
	padding-top: 1rem;
	& + .input {
		margin-top: 1rem;
	}
}

.input-label {
	color: #888;
	position: absolute;
	top: 1rem;
	transition: 0.25s ease;
}

.input-field {
	border: 0;
	z-index: 1;
	background-color: transparent;
	border-bottom: 2px solid #eee;
	font: inherit;
	font-size: 1rem;
	padding: 0.25rem 0;
	&:focus,
	&:valid {
		outline: 0;
		border-bottom-color: #890116;
		& + .input-label {
			color: #890116;
			transform: translateY(-1.5rem);
		}
	}
}

.action {
	margin-top: 2rem;
}

.action-button {
	font: inherit;
	font-size: 1rem;
	padding: 0.875em;
	width: 100%;
	font-weight: 500;
	background-color: #890116;
	border-radius: 6px;
	color: #fff;
	border: 0;
	&:focus {
		outline: 0;
	}
}

/* TM Page */
.card-telegram {
	padding: 10px;
	margin-top: 10px;
	width: 100%;
	text-align: center;
}

.telegram-title {
	font-size: 24px;
	color: #890116;
	line-height: 22px;
	text-align: center;
}

.telegram-description {
	font-size: 18px;
	color: #999;
	text-align: justify;
}

.center {
	width: 100%;
	display: flex;
	justify-content: center;
	text-decoration: none;
}

@media screen and (max-width: 520px) {
	.input-label,
	.input-field {
		font-size: 14px;
	}
	.action-button {
		padding: 0.5em;
		font-size: 14px;
	}
	.grant {
		width: 60px;
	}
}
